com.hazelcast.spring.transaction

## Class ManagedTransactionalTaskContext

- java.lang.Object
- - com.hazelcast.spring.transaction.ManagedTransactionalTaskContext

- All Implemented Interfaces:
    TransactionalTaskContext

      public class ManagedTransactionalTaskContext
      extends Object
      implements TransactionalTaskContext

  `TransactionalTaskContext` proxying implementation to make the one created by `HazelcastTransactionManager` available to actual business logic. Useful when the transaction is managed declaratively using `@Transactional` annotations with AOP.
  Author:
    Balint Krivan
  See Also:
    `HazelcastTransactionManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedTransactionalTaskContext(HazelcastTransactionManager hzTxMgr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<E> TransactionalList<E>` | `getList(String name)` Returns the transactional list instance with the specified name.
    `<K,V> TransactionalMap<K,V>` | `getMap(String name)` Returns the transactional distributed map instance with the specified name.
    `<K,V> TransactionalMultiMap<K,V>` | `getMultiMap(String name)` Returns the transactional multimap instance with the specified name.
    `<E> TransactionalQueue<E>` | `getQueue(String name)` Returns the transactional queue instance with the specified name.
    `<E> TransactionalSet<E>` | `getSet(String name)` Returns the transactional set instance with the specified name.
    `<T extends TransactionalObject> T` | `getTransactionalObject(String serviceName, String name)` Returns the transactional object instance with the specified name and service name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagedTransactionalTaskContext

          public ManagedTransactionalTaskContext(HazelcastTransactionManager hzTxMgr)

  - ### Method Detail

    - #### getMap

          public <K,V> TransactionalMap<K,V> getMap(String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional distributed map instance with the specified name.
      Specified by:
        `getMap` in interface `TransactionalTaskContext`
      Parameters:
        `name` - name of the distributed transactional map
      Returns:
        transactional distributed map instance with the specified name

    - #### getQueue

          public <E> TransactionalQueue<E> getQueue(String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional queue instance with the specified name.
      Specified by:
        `getQueue` in interface `TransactionalTaskContext`
      Parameters:
        `name` - name of the transactional queue
      Returns:
        transactional queue instance with the specified name

    - #### getMultiMap

          public <K,V> TransactionalMultiMap<K,V> getMultiMap(String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional multimap instance with the specified name.
      Specified by:
        `getMultiMap` in interface `TransactionalTaskContext`
      Parameters:
        `name` - name of the transactional multimap
      Returns:
        transactional multimap instance with the specified name

    - #### getList

          public <E> TransactionalList<E> getList(String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional list instance with the specified name.
      Specified by:
        `getList` in interface `TransactionalTaskContext`
      Parameters:
        `name` - name of the transactional list
      Returns:
        transactional list instance with the specified name

    - #### getSet

          public <E> TransactionalSet<E> getSet(String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional set instance with the specified name.
      Specified by:
        `getSet` in interface `TransactionalTaskContext`
      Parameters:
        `name` - name of the transactional set
      Returns:
        transactional set instance with the specified name

    - #### getTransactionalObject

          public <T extends TransactionalObject> T getTransactionalObject(String serviceName,
                                                                          String name)

      Description copied from interface: `TransactionalTaskContext`
      Returns the transactional object instance with the specified name and service name.
      Specified by:
        `getTransactionalObject` in interface `TransactionalTaskContext`
      Parameters:
        `serviceName` - service name for the transactional object instance
        `name` - name of the transactional object instance
      Returns:
        transactional object instance with the specified name

Copyright © 2018. All rights reserved.